summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-10-04 00:44:30 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-10-04 00:44:30 +0000
commit27cebfe1ac02e959941b118867aa64f235812026 (patch)
tree2c263c21f2835ae4dc4eb3b336c13e33189721ba /dev-python
parent042af646d8ba46c2536188f7fa5e379fb3057637 (diff)
downloadbaldeagleos-repo-27cebfe1ac02e959941b118867aa64f235812026.tar.gz
baldeagleos-repo-27cebfe1ac02e959941b118867aa64f235812026.tar.xz
baldeagleos-repo-27cebfe1ac02e959941b118867aa64f235812026.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/black/Manifest1
-rw-r--r--dev-python/black/black-22.6.0.ebuild53
-rw-r--r--dev-python/black/black-22.8.0.ebuild2
-rw-r--r--dev-python/cattrs/Manifest1
-rw-r--r--dev-python/cattrs/cattrs-22.2.0.ebuild57
-rw-r--r--dev-python/cfn-lint/Manifest1
-rw-r--r--dev-python/cfn-lint/cfn-lint-0.66.1.ebuild54
-rw-r--r--dev-python/clang-python/Manifest1
-rw-r--r--dev-python/clang-python/clang-python-16.0.0_pre20220918.ebuild53
-rw-r--r--dev-python/hatch-fancy-pypi-readme/hatch-fancy-pypi-readme-22.8.0.ebuild2
-rw-r--r--dev-python/huawei-lte-api/Manifest1
-rw-r--r--dev-python/huawei-lte-api/huawei-lte-api-1.6.3.ebuild40
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.56.0.ebuild76
-rw-r--r--dev-python/identify/Manifest1
-rw-r--r--dev-python/identify/identify-2.5.6.ebuild29
-rw-r--r--dev-python/importlib_metadata/Manifest1
-rw-r--r--dev-python/importlib_metadata/importlib_metadata-5.0.0.ebuild54
-rw-r--r--dev-python/jsonschema/Manifest1
-rw-r--r--dev-python/jsonschema/jsonschema-4.10.2.ebuild55
-rw-r--r--dev-python/jsonschema/jsonschema-4.15.0.ebuild2
-rw-r--r--dev-python/lit/Manifest1
-rw-r--r--dev-python/lit/lit-16.0.0_pre20220918.ebuild42
-rw-r--r--dev-python/mypy/Manifest1
-rw-r--r--dev-python/mypy/mypy-0.982.ebuild63
-rw-r--r--dev-python/qtconsole/qtconsole-5.3.2.ebuild2
-rw-r--r--dev-python/rapidfuzz/Manifest1
-rw-r--r--dev-python/rapidfuzz/rapidfuzz-2.11.0.ebuild40
-rw-r--r--dev-python/sentry-sdk/Manifest1
-rw-r--r--dev-python/sentry-sdk/sentry-sdk-1.9.10.ebuild96
-rw-r--r--dev-python/sphinxnotes-strike/sphinxnotes-strike-1.2-r1.ebuild (renamed from dev-python/sphinxnotes-strike/sphinxnotes-strike-1.2.ebuild)4
-rw-r--r--dev-python/stripe/Manifest1
-rw-r--r--dev-python/stripe/stripe-4.2.0.ebuild71
-rw-r--r--dev-python/trimesh/Manifest1
-rw-r--r--dev-python/trimesh/trimesh-3.15.3.ebuild65
35 files changed, 664 insertions, 211 deletions
diff --git a/dev-python/black/Manifest b/dev-python/black/Manifest
index 7018f9253f9c..39c3d5571220 100644
--- a/dev-python/black/Manifest
+++ b/dev-python/black/Manifest
@@ -1,2 +1 @@
-DIST black-22.6.0.gh.tar.gz 1165070 BLAKE2B ce2eef529e230954a13913063dbb9000fa13f4debb2e5ed33605e8efe5c6d62fc1b3c0b7847c26ad931b9becae43fa23b15701a1672c1e056f729810020cc282 SHA512 72e4b4dfc69436e4dbee5a75ea72a1be69a26dc37a5e4d7edfb84d62736f0e0aba8d14420f3069798b568bd8ba916e8850f0c958afc9b6134ee8832e54d3dc4c
DIST black-22.8.0.gh.tar.gz 1173503 BLAKE2B 851e2dedf35871dc07caaafbffa15aa91e18640a352df717e19dc98b48134af21343e36faf90899fedd700149f988f5385c18c2d01ca330ef6e7a721cbe41a38 SHA512 f9db2079aedb14a8d9388a2c0997ffd55c74636d487ef7a3ad86fcd038a3e5d3f63168a1bca266b3e3128cd8590a641bd4259be9c238a8df968c3c085682d3b6
diff --git a/dev-python/black/black-22.6.0.ebuild b/dev-python/black/black-22.6.0.ebuild
deleted file mode 100644
index c70d19518ab6..000000000000
--- a/dev-python/black/black-22.6.0.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 2020-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1 optfeature
-
-DESCRIPTION="The uncompromising Python code formatter"
-HOMEPAGE="
- https://black.readthedocs.io/en/stable/
- https://github.com/psf/black/
- https://pypi.org/project/black/
-"
-SRC_URI="
- https://github.com/psf/black/archive/${PV}.tar.gz -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
-
-RDEPEND="
- >=dev-python/click-8.0.0[${PYTHON_USEDEP}]
- >=dev-python/mypy_extensions-0.4.3[${PYTHON_USEDEP}]
- >=dev-python/platformdirs-2[${PYTHON_USEDEP}]
- >=dev-python/pathspec-0.9.0[${PYTHON_USEDEP}]
- $(python_gen_cond_dep '
- >=dev-python/tomli-1.1.0[${PYTHON_USEDEP}]
- ' 3.8 3.9 3.10)
- $(python_gen_cond_dep '
- >=dev-python/typing-extensions-3.10.0.0[${PYTHON_USEDEP}]
- ' 3.8 3.9)
-"
-BDEPEND="
- >=dev-python/setuptools_scm-6.3.1[${PYTHON_USEDEP}]
- test? (
- >=dev-python/aiohttp-3.7.4[${PYTHON_USEDEP}]
- dev-python/aiohttp-cors[${PYTHON_USEDEP}]
- dev-python/colorama[${PYTHON_USEDEP}]
- dev-python/parameterized[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
-
-pkg_postinst() {
- optfeature "blackd - HTTP API for black" "dev-python/aiohttp dev-python/aiohttp-cors"
-}
diff --git a/dev-python/black/black-22.8.0.ebuild b/dev-python/black/black-22.8.0.ebuild
index 68deefb3bded..ffc4369545f3 100644
--- a/dev-python/black/black-22.8.0.ebuild
+++ b/dev-python/black/black-22.8.0.ebuild
@@ -21,7 +21,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
RDEPEND="
>=dev-python/click-8.0.0[${PYTHON_USEDEP}]
diff --git a/dev-python/cattrs/Manifest b/dev-python/cattrs/Manifest
index 4c2e996470cf..6f2ed5507bd7 100644
--- a/dev-python/cattrs/Manifest
+++ b/dev-python/cattrs/Manifest
@@ -1 +1,2 @@
DIST cattrs-22.1.0.gh.tar.gz 108033 BLAKE2B 823e3ab466fd73385a4aaefb547b3457ee9cd100f38b6778c26bbe3d93e23ed9a00f071d6a5d7626da91e6660e2a8118e70cfa53a5960d550b9038fffec58eef SHA512 db1effb8d632dc3843d38b18bcd439c35d8bae0e4379b075417eaedbc130f6426186c0d299bc5b5d68a7354d7c5e53927ba5e0e989d498841a73237c588febb8
+DIST cattrs-22.2.0.gh.tar.gz 117001 BLAKE2B 34601cf48c582da2d9aa8d741a08919b5f06043bc6ba6b072d8b0934e90e781349b1325ced478ca0b42b50db1f7fe2a6d3cd16ac29609efd72c9aa894debfe9e SHA512 d198864402f56d4e9403c61ee3d9d109c5eac3350908afa1e244dbe31e4bc986271fcb4c72bde9cdaa9ee865c6a8b81de68ec0d51490ed658b410714e1fc550c
diff --git a/dev-python/cattrs/cattrs-22.2.0.ebuild b/dev-python/cattrs/cattrs-22.2.0.ebuild
new file mode 100644
index 000000000000..677840f46090
--- /dev/null
+++ b/dev-python/cattrs/cattrs-22.2.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Composable complex class support for attrs and dataclasses"
+HOMEPAGE="
+ https://pypi.org/project/cattrs/
+ https://github.com/python-attrs/cattrs/
+"
+SRC_URI="
+ https://github.com/python-attrs/cattrs/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/attrs-20.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/exceptiongroup[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+"
+BDEPEND="
+ test? (
+ >=dev-python/hypothesis-6.54.5[${PYTHON_USEDEP}]
+ >=dev-python/immutables-0.18[${PYTHON_USEDEP}]
+ )
+"
+# test_preconf:
+# dev-python/bson[${PYTHON_USEDEP}]
+# dev-python/msgpack[${PYTHON_USEDEP}]
+# dev-python/orjson[${PYTHON_USEDEP}]
+# dev-python/pyyaml[${PYTHON_USEDEP}]
+# dev-python/tomlkit[${PYTHON_USEDEP}]
+# dev-python/ujson[${PYTHON_USEDEP}]
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e 's:--benchmark.*::' \
+ -e '/addopts/d' \
+ -i pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # unpackaged deps, see above
+ epytest tests --ignore tests/test_preconf.py
+}
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index 57d37f195059..c5d70337af3f 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -1,3 +1,4 @@
DIST cfn-lint-0.64.1.gh.tar.gz 9792758 BLAKE2B 95bc86fa41c17498575abfd4eb7e16d9e8a8dfc36d4304aa216890773e52d1e43f4deb178f2bd69c8edc445a417ca37ef53069ac9d398ccf27e3b9a6d90ee8c9 SHA512 edd7296e74db943c6ae818c2ae8f5220c4d8834eb7858c474e38f7852c1a7839b89ba949c105a3d2044f4b952e56fdc9e7a08493ed74e06b29ec9c0ea0b48a6a
DIST cfn-lint-0.65.1.gh.tar.gz 9670213 BLAKE2B 22a627dc417f8df76fef9228eb4139210f693b0f5723e70f0dcb3651a18c921e8f174b8c97709016b2c184f3e12e03e49ad7e7a720415ad5cb820aecdfba4616 SHA512 391db28d47caa5cb66f3994944766f9ba6a0500ac5c8c474cef0a60e44236aedde7bceefb78cbc48cef3109ddf9206960a212df3ebdf7eb82b84940ca7202b7c
DIST cfn-lint-0.66.0.gh.tar.gz 9710208 BLAKE2B e4d333d9ac0e05b9b6a7030ca63f2feb019d0b18d271f5e3d6a6176ac3c3c99c207709447be4397aecd831933f3938249786f6b043131b584432c04bcc2c1304 SHA512 05580c6602becd1b2545c1a87ffdbd3abf21026f76de2c476c986da3972a4dbb2a4ecc31f53dc23732bcfdd52a9c7ceb620f88c12a0b4b22536b6cb692e55f06
+DIST cfn-lint-0.66.1.gh.tar.gz 9738245 BLAKE2B e4b546d2f8543699e134ab33f2c06f71c48ff4685a50ac81d43e5089cceec45023499b30069ced9bdb7b76f56a6e7f2eb68efae0c59f3e82fe1fd2c31bf07cf5 SHA512 869f300d865b969e8203a071bee149e859b70a8d6bac0696ef65d73b523d0f7fb14c83b19243ff3f9eb0b5080bf008d905085e240a9d3b6c8804940c7f6e8f04
diff --git a/dev-python/cfn-lint/cfn-lint-0.66.1.ebuild b/dev-python/cfn-lint/cfn-lint-0.66.1.ebuild
new file mode 100644
index 000000000000..8ec2f9f719e2
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-0.66.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+ https://github.com/aws-cloudformation/cfn-lint/
+ https://pypi.org/project/cfn-lint/
+"
+SRC_URI="
+ https://github.com/aws-cloudformation/cfn-lint/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.51.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema_to_python-1.2.3[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/sarif_om-1.0.4[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # TODO
+ test/unit/module/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # Internet
+ test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_2
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+)
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/clang-python/Manifest b/dev-python/clang-python/Manifest
index 8f6a1414d8a4..c4b2be3a7863 100644
--- a/dev-python/clang-python/Manifest
+++ b/dev-python/clang-python/Manifest
@@ -3,5 +3,4 @@ DIST llvm-project-14.0.6.src.tar.xz.sig 566 BLAKE2B cb658ad43d8ab6c43a5773aedadf
DIST llvm-project-15.0.1.src.tar.xz 112068688 BLAKE2B 8fd6690445f7cbc8b47a7c1dd1f2c4fbc39f9a97f9d4a0015d466726454b090b0d1ff9b0d926eba7065e84782901687f74e6540a36dc6656a93f3c92c7bc7e06 SHA512 cef84bc173118a30db3ece5e5c6f874bf689c77afc40a4792fdcb7556555ac14a8e6de1dc811755405e5d162d63bc69abaecba30d220a42765160d69f0073fda
DIST llvm-project-15.0.1.src.tar.xz.sig 438 BLAKE2B d8f634adab531bb19178fb27bc83b3a90c856e9402dd5af700f9af43813f68d20c21b9112dd95e9f6f10609ee51ed5aaf77edb96ca16fb93136b8aea432affd3 SHA512 cbf2570840d8dc12f6436c495a23cf9d439ee195755c01a6d1d5bcc20133599dc956dc43a0f5016698e3c9a960826f5f3c2840a73f993467e275856a67999fda
DIST llvm-project-215c9fa4deac9ec6b4e504843830551f03b60620.tar.gz 168942763 BLAKE2B 545c7c372c38667b7d811753464e91134aae600060d9054979eab8735d535a72d6bbb33a6008dc81f3b14513f58791ca3b8c3068e62ff146ccb14f32abb41a32 SHA512 d0c244357650ef5d56bc7afd836cd747cc2cce92d5f7fb4ddec3414e5bafe4e611acb2a7ff42343c184caad14a30fa9a6ced7e493df3ceb06fe8f9445aeb5a9b
-DIST llvm-project-303526ef3aa211c1930be2885deae15eeeda3b18.tar.gz 167503164 BLAKE2B 143c72c58517b3e40ee74c1a0df47bfd0d0f9e71926bc8c39a007e674a08df95d0ffe05f523f97e4409b248349e13719cabbc7ac6938feebe702959e84a07243 SHA512 9aa5c86de6c6be1d26c085eb29ea283429e41330e937e5fdbd545bb3f5b996ac82cd6268701fcbbd202e89ee35f2b67e595fc595bb7383778e9ad5fd52ca10a0
DIST llvmorg-13.0.1.tar.gz 147290251 BLAKE2B 2a44b012a672501761d0c27c6b3a315b69bfef0cd13b078a7e7d2fccc4a9c8c0f2bee0f164c4271c9106b0a99cb06e8b64986f66253b613336719fb86b82541b SHA512 9a8cb5d11964ba88b7624f19ec861fb28701f23956ea3c92f6ac644332d5f41fde97bd8933dd3ee70ed378058c252fa3a3887c8d1af90d219970c2b27691166f
diff --git a/dev-python/clang-python/clang-python-16.0.0_pre20220918.ebuild b/dev-python/clang-python/clang-python-16.0.0_pre20220918.ebuild
deleted file mode 100644
index 63106cbd0017..000000000000
--- a/dev-python/clang-python/clang-python-16.0.0_pre20220918.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-inherit llvm.org python-r1
-
-DESCRIPTION="Python bindings for sys-devel/clang"
-HOMEPAGE="https://llvm.org/"
-
-LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
-SLOT="0"
-KEYWORDS=""
-IUSE="test"
-RESTRICT="!test? ( test )"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-# The module is opening libclang.so directly, and doing some blasphemy
-# on top of it.
-DEPEND="
- >=sys-devel/clang-${PV}:*
- !sys-devel/llvm:0[clang(-),python(-)]
- !sys-devel/clang:0[python(-)]
-"
-RDEPEND="
- ${DEPEND}
- ${PYTHON_DEPS}
-"
-BDEPEND="
- ${PYTHON_DEPS}
- test? (
- sys-devel/clang:${PV%%.*}
- )
-"
-
-LLVM_COMPONENTS=( clang/bindings/python )
-llvm.org_set_globals
-
-python_test() {
- # tests rely on results from a specific clang version, so override
- # the search path
- local -x CLANG_LIBRARY_PATH=${BROOT}/usr/lib/llvm/${PV%%.*}/$(get_libdir)
- "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
-}
-
-src_test() {
- python_foreach_impl python_test
-}
-
-src_install() {
- python_foreach_impl python_domodule clang
-}
diff --git a/dev-python/hatch-fancy-pypi-readme/hatch-fancy-pypi-readme-22.8.0.ebuild b/dev-python/hatch-fancy-pypi-readme/hatch-fancy-pypi-readme-22.8.0.ebuild
index 5186f6815997..c69979589007 100644
--- a/dev-python/hatch-fancy-pypi-readme/hatch-fancy-pypi-readme-22.8.0.ebuild
+++ b/dev-python/hatch-fancy-pypi-readme/hatch-fancy-pypi-readme-22.8.0.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
RDEPEND="
dev-python/hatchling[${PYTHON_USEDEP}]
diff --git a/dev-python/huawei-lte-api/Manifest b/dev-python/huawei-lte-api/Manifest
index 95609d0fcead..bc7255c97eac 100644
--- a/dev-python/huawei-lte-api/Manifest
+++ b/dev-python/huawei-lte-api/Manifest
@@ -1 +1,2 @@
DIST huawei-lte-api-1.6.1.gh.tar.gz 32963 BLAKE2B f159e1dc4cb759c09a88bb763c6ba5f43043eacf025e7ada871c816e0e72a238f9e7536dbc043f8596bef390ecfc2ee137c1a4c079ca33db6c3a3198147c9f98 SHA512 2a6a330c419af0d2b8eeff9d8b93a11cdf8050db04e609cb1d86a33ab770d7102c8e40652482c2500ce4bf4152b66b98ee1fc77be104db8ab9a9bbeec871ce20
+DIST huawei-lte-api-1.6.3.gh.tar.gz 33065 BLAKE2B 2c16080b929d410d0e05b028e8a73003e5dd0b8a5e14602173571b473ffdcfc8ffb742b3db23dc7d4892386447d9c8fa9b30eee4016aa8f94ec7ac878184ca88 SHA512 a48c56d88859ef8a12eebaed48787fe7b62e3abac9b1d393e70dff9553b51284a5b860e113f4ed709dcab590c607a356c3b3fb81ac7bce5260fdf21d28d98510
diff --git a/dev-python/huawei-lte-api/huawei-lte-api-1.6.3.ebuild b/dev-python/huawei-lte-api/huawei-lte-api-1.6.3.ebuild
new file mode 100644
index 000000000000..4c1a76ce3fc5
--- /dev/null
+++ b/dev-python/huawei-lte-api/huawei-lte-api-1.6.3.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="API For huawei LAN/WAN LTE Modems"
+HOMEPAGE="
+ https://github.com/Salamek/huawei-lte-api/
+ https://pypi.org/project/huawei-lte-api/
+"
+SRC_URI="
+ https://github.com/Salamek/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/pycryptodome[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/xmltodict[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+ # make cryptodome-friendly
+ sed -i -e 's:pycryptodomex:pycryptodome:' setup.py || die
+ find -name '*.py' -exec \
+ sed -i -e 's:Cryptodome:Crypto:g' {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+distutils_enable_tests pytest
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index b97448364e34..c751e6ed5b80 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -1,3 +1,4 @@
DIST hypothesis-6.54.5.gh.tar.gz 9325448 BLAKE2B b4cb8a413ad96f11f4dbf4a1a529e389dbca45561264cf0922721a25009d1065fdce21064faf53bd7aad2f589c159b52d899aa7b12c12da68beae8c9186c0505 SHA512 37205ea28b44537409a94592e466376e9612f84a8501ad2ff5504fc648e062555ffb600416bdd1f9a74f39ba39729defd581025e0611c501839721721f7cf6e3
DIST hypothesis-6.54.6.gh.tar.gz 9325898 BLAKE2B 01dde1d57192ede0a732ba2a50954fb6b1a1532e584715186f813977b2f22fd3411ec489874da67e687ca470ac58340dc45b821923ab01b03888c44a7882c0c0 SHA512 d678d0936c7906c839c29ad6c08154a067f8be2e18344139051ecc4b5c737f5088d2775a25758da2e29b74574b47c5f817643ccb762db851bc2b25e4fdbb3259
DIST hypothesis-6.55.0.gh.tar.gz 9330281 BLAKE2B 63f967496ed96e945579390d20eefb4d533caac80a05dc2fb3aa82bcca232d629802a9a37c73eb5ca8685530021794a1d0507e86fda90714be4de863ac20bcdb SHA512 2c013b2c8cd4682e1c6ef61dff63ee14d0f306815e83165cbb25dff2d5f5cf456a1567c8df669497f2e3d981222da9eba4ea94fc9b88519045ac458249ff6e0d
+DIST hypothesis-6.56.0.gh.tar.gz 9330695 BLAKE2B bab11ea2c1e2e2a380557755890803ce0ac92b7a787e79799aec3d08ca802985acc49bbde4e71845f948035686f4ef92e8e6ad13083094b86a0aacf50bfcd424 SHA512 559dcf29252051c65c0729c4e7df1325c73027459cf41fb304a0f1752bd95ebb94cc613154663c02df15f12180066df3ff1b910e33c07fba78c74896984855aa
diff --git a/dev-python/hypothesis/hypothesis-6.56.0.ebuild b/dev-python/hypothesis/hypothesis-6.56.0.ebuild
new file mode 100644
index 000000000000..c89124eae10e
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.56.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,pytest_forked,_hypothesis_pytestplugin
+
+ epytest tests/cover tests/pytest tests/quality -n "$(makeopts_jobs)"
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/identify/Manifest b/dev-python/identify/Manifest
index 8077a26e10b4..f58a10345951 100644
--- a/dev-python/identify/Manifest
+++ b/dev-python/identify/Manifest
@@ -1,2 +1,3 @@
DIST identify-2.5.3.gh.tar.gz 101397 BLAKE2B 8782a4dfcea2d84facec9fefac8c7241c978ca1f494aa3e0602171dc017b41d24545ec7a3537b07a5e9962edcc4813fa4f45f76d807ba8ba69243041bc777d1b SHA512 d6cc5737b119498af5fb3cc9478881960b4d9532eec552622e942292ec3f1c75182f50ccc94fe7e1bb8993525c5e50fcdfd58881a9226da52fbe5feb3b83a8c3
DIST identify-2.5.5.gh.tar.gz 101461 BLAKE2B b3a4dc2273435cf9244af64b08b9a9a922025f7d32f479fb2641fcdd9f8a05d2778db126104b1e3b765b82af7ecc1660163de1f71098900296135cd1ccd129c5 SHA512 e02688805310a4f92d0435af562383a10297afa7fc468e44f73be40118c73e2ceac1b4ba7525c375fd0b671ea2700ba66307115c78558a370c525de8cba33c83
+DIST identify-2.5.6.gh.tar.gz 101460 BLAKE2B c540934d4a482521758a64a1eb5e84b346eef0e0cccecbb9ad06e53e4b6872acb9c6fc94fccab9b75a7cf5658af78ad319d808a17f7ec44dfd08ae9c9a3b9f58 SHA512 9a35eb42767b0d2365b8da7c5aa5d7644272de5b65a505c5876cce0781222d8e52937b5c2d5594e560c5ab2fbbf4329555df15443b8f6110ac48880691af9089
diff --git a/dev-python/identify/identify-2.5.6.ebuild b/dev-python/identify/identify-2.5.6.ebuild
new file mode 100644
index 000000000000..77bcb9aabee1
--- /dev/null
+++ b/dev-python/identify/identify-2.5.6.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="File identification library for Python"
+HOMEPAGE="
+ https://github.com/pre-commit/identify/
+ https://pypi.org/project/identify/
+"
+SRC_URI="
+ https://github.com/pre-commit/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/ukkonen[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/importlib_metadata/Manifest b/dev-python/importlib_metadata/Manifest
index 2ca32a2312f6..1cb71bc34af0 100644
--- a/dev-python/importlib_metadata/Manifest
+++ b/dev-python/importlib_metadata/Manifest
@@ -1,2 +1,3 @@
DIST importlib_metadata-4.12.0.tar.gz 48153 BLAKE2B b12b61a02be6428f80de418b3932b917066f6e9396d85158f8f31fa1b800c9cbd3f7dfd7cec48b51cc6c4ad5e5532136cc6ad7ea688c70466621976b232d9ccb SHA512 a7e3b8876665880a42bab885014199eed90efafcb386b89fddf62f3a6dbf51b192a0b9d208a40fd1f8b6db9d1bf80cf6d6753c1073196daa54dffa22a627443f
DIST importlib_metadata-4.13.0.tar.gz 50445 BLAKE2B 0f52430bdcf63275d16d330fd2ec6a85926ab75cc2c14d0e996dc29a1258ba71e12253dd36f776f280c68cfc0d68058ce52d246fef5eccd9c3b7e5ea9bab5441 SHA512 68deb9b017d89df05b613c564bfaafd9024f9a6b1b14973bb75c0756f29911c6a2516a87b4fad60cb15b66bca79a275163fb8db2cfbd088ab952633de056d1e1
+DIST importlib_metadata-5.0.0.tar.gz 48756 BLAKE2B 87642575d0df14a22bb3b81f68dd6504166fea1148d70b1f2689945d336f9a75257872f8953e0f86008a349ff3500b357dac7d1c381d92e88bdeab37d7392042 SHA512 29efd04c819bf2e6579f5b0ca0cf63c907e162d028244a743929c7c04989a29b84003824aaf2f2bec33867268b3106048380bd18789c790ca2d1cd89a9f678ef
diff --git a/dev-python/importlib_metadata/importlib_metadata-5.0.0.ebuild b/dev-python/importlib_metadata/importlib_metadata-5.0.0.ebuild
new file mode 100644
index 000000000000..734da0938e5e
--- /dev/null
+++ b/dev-python/importlib_metadata/importlib_metadata-5.0.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=flit
+# NB: this package extends beyond built-in importlib stuff in py3.8+
+# new entry_point API not yet included in cpython release
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Read metadata from Python packages"
+HOMEPAGE="
+ https://github.com/python/importlib_metadata/
+ https://pypi.org/project/importlib-metadata/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+ dev-python/zipp[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/pyfakefs[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib_resources[${PYTHON_USEDEP}]
+ ' 3.8)
+ )
+"
+
+distutils_enable_tests unittest
+
+src_configure() {
+ grep -q 'build-backend = "setuptools' pyproject.toml ||
+ die "Upstream changed build-backend, recheck"
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "importlib_metadata"
+ version = "${PV}"
+ description = "Read metadata from Python packages"
+ EOF
+}
diff --git a/dev-python/jsonschema/Manifest b/dev-python/jsonschema/Manifest
index 55182cb82cf7..3e484d8b0126 100644
--- a/dev-python/jsonschema/Manifest
+++ b/dev-python/jsonschema/Manifest
@@ -1,3 +1,2 @@
-DIST jsonschema-4.10.2.tar.gz 285395 BLAKE2B 2e40fc5e8b93922c12110f1983f933a07455d9f5d1388fc2c1ee8f07e042f3840573553f709ab7f373c8f5be0651996ffd203696bd0ec1356e90163dad8f4eb4 SHA512 1328af7b4bc70ce43aec6e27b75c9ebe1c2745eceb3b794aeb41eb430362123f9b40dda26e90e62f23d5733ff4fd21407b05569603ee1e2a4941c2009e1855e7
DIST jsonschema-4.15.0.tar.gz 290458 BLAKE2B 5b43f5ceb6c02a82a9440dc0009123131d225e1aecd0ecb3e434f90f18192e5911916fba018ec1f636751bc019eef2840816d70cc53e7a84e82a149e66b99134 SHA512 8293b1dd7b16eb77b19ce89608384b3d97c1523ba080f38e6293390ba1b326d970721fdd6966623fc8a94b2b3357d1a68e1cc40b16eed037979fe6eb5684fa3f
DIST jsonschema-4.16.0.tar.gz 292399 BLAKE2B b1a78bc7dbc7cd10324638b57ebe4593afbdcbeb8d4b247aa127f41d5f6cce5e7970f5db1576e6a761357d8efe453ef514ae49f58b6624a05c4b7771daff3721 SHA512 c84abc992f410e9d558e2ce06c7172e9e2d298cff469baf8a23b1ea5b4777e6addfa757c5cc62b2e28e257721ee55e04bec0852e5f525adfa87392cbf712828f
diff --git a/dev-python/jsonschema/jsonschema-4.10.2.ebuild b/dev-python/jsonschema/jsonschema-4.10.2.ebuild
deleted file mode 100644
index a5e13cd10f8e..000000000000
--- a/dev-python/jsonschema/jsonschema-4.10.2.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="An implementation of JSON-Schema validation for Python"
-HOMEPAGE="
- https://pypi.org/project/jsonschema/
- https://github.com/python-jsonschema/jsonschema/
-"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 hppa ~ia64 ~loong ~m68k ppc ppc64 ~riscv ~s390 sparc x86"
-
-RDEPEND="
- >=dev-python/attrs-17.4.0[${PYTHON_USEDEP}]
- >=dev-python/pyrsistent-0.18.0[${PYTHON_USEDEP}]
- $(python_gen_cond_dep '
- >=dev-python/importlib_resources-1.4.0[${PYTHON_USEDEP}]
- dev-python/pkgutil_resolve_name[${PYTHON_USEDEP}]
- ' 3.8)
-"
-BDEPEND="
- dev-python/hatch-vcs[${PYTHON_USEDEP}]
-"
-
-# formatter deps
-RDEPEND+="
- dev-python/fqdn[${PYTHON_USEDEP}]
- dev-python/idna[${PYTHON_USEDEP}]
- dev-python/isoduration[${PYTHON_USEDEP}]
- >=dev-python/jsonpointer-1.13[${PYTHON_USEDEP}]
- dev-python/rfc3339-validator[${PYTHON_USEDEP}]
- dev-python/rfc3986-validator[${PYTHON_USEDEP}]
- dev-python/rfc3987[${PYTHON_USEDEP}]
- dev-python/uri_template[${PYTHON_USEDEP}]
- >=dev-python/webcolors-1.11[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-
-EPYTEST_DESELECT=(
- # requires pip, does not make much sense for the users
- jsonschema/tests/test_cli.py::TestCLIIntegration::test_license
- # wtf?
- jsonschema/tests/test_deprecations.py::TestDeprecations::test_version
- jsonschema/tests/test_jsonschema_test_suite.py::test_suite_bug
-)
diff --git a/dev-python/jsonschema/jsonschema-4.15.0.ebuild b/dev-python/jsonschema/jsonschema-4.15.0.ebuild
index b00ab3120fdd..4bed4dd3f44b 100644
--- a/dev-python/jsonschema/jsonschema-4.15.0.ebuild
+++ b/dev-python/jsonschema/jsonschema-4.15.0.ebuild
@@ -17,7 +17,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ppc ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="amd64 arm arm64 hppa ~ia64 ~loong ~m68k ppc ppc64 ~riscv ~s390 sparc x86"
RDEPEND="
>=dev-python/attrs-17.4.0[${PYTHON_USEDEP}]
diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index 8f6a1414d8a4..c4b2be3a7863 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -3,5 +3,4 @@ DIST llvm-project-14.0.6.src.tar.xz.sig 566 BLAKE2B cb658ad43d8ab6c43a5773aedadf
DIST llvm-project-15.0.1.src.tar.xz 112068688 BLAKE2B 8fd6690445f7cbc8b47a7c1dd1f2c4fbc39f9a97f9d4a0015d466726454b090b0d1ff9b0d926eba7065e84782901687f74e6540a36dc6656a93f3c92c7bc7e06 SHA512 cef84bc173118a30db3ece5e5c6f874bf689c77afc40a4792fdcb7556555ac14a8e6de1dc811755405e5d162d63bc69abaecba30d220a42765160d69f0073fda
DIST llvm-project-15.0.1.src.tar.xz.sig 438 BLAKE2B d8f634adab531bb19178fb27bc83b3a90c856e9402dd5af700f9af43813f68d20c21b9112dd95e9f6f10609ee51ed5aaf77edb96ca16fb93136b8aea432affd3 SHA512 cbf2570840d8dc12f6436c495a23cf9d439ee195755c01a6d1d5bcc20133599dc956dc43a0f5016698e3c9a960826f5f3c2840a73f993467e275856a67999fda
DIST llvm-project-215c9fa4deac9ec6b4e504843830551f03b60620.tar.gz 168942763 BLAKE2B 545c7c372c38667b7d811753464e91134aae600060d9054979eab8735d535a72d6bbb33a6008dc81f3b14513f58791ca3b8c3068e62ff146ccb14f32abb41a32 SHA512 d0c244357650ef5d56bc7afd836cd747cc2cce92d5f7fb4ddec3414e5bafe4e611acb2a7ff42343c184caad14a30fa9a6ced7e493df3ceb06fe8f9445aeb5a9b
-DIST llvm-project-303526ef3aa211c1930be2885deae15eeeda3b18.tar.gz 167503164 BLAKE2B 143c72c58517b3e40ee74c1a0df47bfd0d0f9e71926bc8c39a007e674a08df95d0ffe05f523f97e4409b248349e13719cabbc7ac6938feebe702959e84a07243 SHA512 9aa5c86de6c6be1d26c085eb29ea283429e41330e937e5fdbd545bb3f5b996ac82cd6268701fcbbd202e89ee35f2b67e595fc595bb7383778e9ad5fd52ca10a0
DIST llvmorg-13.0.1.tar.gz 147290251 BLAKE2B 2a44b012a672501761d0c27c6b3a315b69bfef0cd13b078a7e7d2fccc4a9c8c0f2bee0f164c4271c9106b0a99cb06e8b64986f66253b613336719fb86b82541b SHA512 9a8cb5d11964ba88b7624f19ec861fb28701f23956ea3c92f6ac644332d5f41fde97bd8933dd3ee70ed378058c252fa3a3887c8d1af90d219970c2b27691166f
diff --git a/dev-python/lit/lit-16.0.0_pre20220918.ebuild b/dev-python/lit/lit-16.0.0_pre20220918.ebuild
deleted file mode 100644
index 804d31b11189..000000000000
--- a/dev-python/lit/lit-16.0.0_pre20220918.ebuild
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1 llvm.org
-
-DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
-HOMEPAGE="https://llvm.org/"
-
-LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
-SLOT="0"
-KEYWORDS=""
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-# Tests require 'FileCheck' and 'not' utilities (from llvm)
-BDEPEND="
- test? (
- dev-python/psutil[${PYTHON_USEDEP}]
- sys-devel/llvm
- )
-"
-
-LLVM_COMPONENTS=( llvm/utils/lit )
-llvm.org_set_globals
-
-# TODO: move the manpage generation here (from sys-devel/llvm)
-
-src_prepare() {
- cd "${WORKDIR}" || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- local -x LIT_PRESERVES_TMP=1
- local litflags=$(get_lit_flags)
- ./lit.py ${litflags//;/ } tests || die
-}
diff --git a/dev-python/mypy/Manifest b/dev-python/mypy/Manifest
index db2969f375c3..fb73f3f15782 100644
--- a/dev-python/mypy/Manifest
+++ b/dev-python/mypy/Manifest
@@ -1,2 +1,3 @@
DIST mypy-0.971.gh.tar.gz 2808674 BLAKE2B 7f3b183a4c5342ddfc501b8091c078ac55803db86d43042220e18e3e616664ce91ddeb341b45b1d80c7686f8c2f3606af074a5dcb9c9eaacd6307578d3689981 SHA512 5088efbd74385b5a8c155ae6e756deed274bf3e597df13e57970a29c029c34c91453c45fc1d2d03b7d83cd786b8930a387a781e1b9cb72102c1f07263a346c6d
DIST mypy-0.981.gh.tar.gz 2628442 BLAKE2B 484ba2da1e3c8988ce4bfa7681592b6ca4f409ca9078319428e11407fa2dec38deace41e77278bab835eee1e3690d8bf213c44ecb82ac5e9a5f759b030df93fe SHA512 8deb66e48b74c50027fd95533935fa6643beaa30b28d25c5783645f9efaedf6138379c262a91abbca62c6e269677f0ee1325fe93ea48d587f1aae8eec21eb15e
+DIST mypy-0.982.gh.tar.gz 2629381 BLAKE2B 84429715255febd3fb9b2b313c7ba20ca54a73aa26fd908c1f4c7be40854052a2e40babf333bbb39fa30e7de14e0eaefd6f8d301cc2cb721b47acf034b268212 SHA512 524565f40a0c13fc640c26a345dccfbcb4d777ba8a96933771263d2fcb2f02b4405ca3afd02d886e2894dc06b9aa476ea8c3a35cbae856cabecdcfa43f3494f5
diff --git a/dev-python/mypy/mypy-0.982.ebuild b/dev-python/mypy/mypy-0.982.ebuild
new file mode 100644
index 000000000000..67f294702db1
--- /dev/null
+++ b/dev-python/mypy/mypy-0.982.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Optional static typing for Python"
+HOMEPAGE="
+ http://www.mypy-lang.org/
+ https://github.com/python/mypy/
+ https://pypi.org/project/mypy/
+"
+SRC_URI="
+ https://github.com/python/mypy/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# stubgen collides with this package: https://bugs.gentoo.org/585594
+RDEPEND="
+ !dev-util/stubgen
+ >=dev-python/psutil-4[${PYTHON_USEDEP}]
+ >=dev-python/typed-ast-1.4.0[${PYTHON_USEDEP}]
+ <dev-python/typed-ast-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-3.7.4[${PYTHON_USEDEP}]
+ >=dev-python/mypy_extensions-0.4.3[${PYTHON_USEDEP}]
+ <dev-python/mypy_extensions-0.5.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+"
+BDEPEND="
+ test? (
+ >=dev-python/attrs-18.0[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.4.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-6.1.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-1.18[${PYTHON_USEDEP}]
+ >=dev-python/py-1.5.2[${PYTHON_USEDEP}]
+ >=dev-python/typed-ast-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-16.0.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ dev-python/furo
+distutils_enable_tests pytest
+
+# this requires packaging a lot of type stubs
+export MYPY_USE_MYPYC=0
+
+python_test() {
+ # Some mypy/test/testcmdline.py::PythonCmdlineSuite tests
+ # fail with high COLUMNS values
+ local -x COLUMNS=80
+ epytest -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/qtconsole/qtconsole-5.3.2.ebuild b/dev-python/qtconsole/qtconsole-5.3.2.ebuild
index b72501b7b1ac..d2036cab8311 100644
--- a/dev-python/qtconsole/qtconsole-5.3.2.ebuild
+++ b/dev-python/qtconsole/qtconsole-5.3.2.ebuild
@@ -19,7 +19,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+KEYWORDS="amd64 ~arm arm64 x86"
RDEPEND="
>=dev-python/ipykernel-4.1[${PYTHON_USEDEP}]
diff --git a/dev-python/rapidfuzz/Manifest b/dev-python/rapidfuzz/Manifest
index 91250ab854d1..02c30f9179d4 100644
--- a/dev-python/rapidfuzz/Manifest
+++ b/dev-python/rapidfuzz/Manifest
@@ -1,2 +1,3 @@
DIST rapidfuzz-2.10.2.tar.gz 788167 BLAKE2B 91264d83159ce91cac33138c2589d468ffb079daef06f1917596892b3c5fbb99f2012d79ca05f728e6d49c2241d83f68e0d3a44956cfdfafd38cae428496f507 SHA512 3d7610a2e4b32fbfaa0ac043847829bfc436e61c2d0c76d526fc0827cca4fd10a0b6ae659bd61ed48604695c4782bcb0984d2becaf84494b84a5d8e71c22e97a
DIST rapidfuzz-2.10.3.tar.gz 788237 BLAKE2B dd6e70bd1059317d98cf96c242e62ba8be2c9bdeac483f0da18b4f46179502ac0f0ae000f5bdfedc44374dceae1c4054bd2a6be7dde5e466497c617c699ceeeb SHA512 9774a203482ab90a4bdc7f9faaa2ea0c0c314e350fb6c957c3eed3f7cb5009d1fd2521c5438b25d8d04aedf96028004136908a3226305bd2cbcf4158d0bc0329
+DIST rapidfuzz-2.11.0.tar.gz 812669 BLAKE2B e7897b2770202d46cb70323d19a79c6f34c379cf43ab211e2ba4d05ef6f1630d49b3cef70ab52bba1ac0a9cc15cd934e86aab829ec84195a6b583a561efc8cb2 SHA512 df5e77248c2a005ff1e0fbd4b4ef15fbdb88a6738d66823ba9bf8c380943c59fe82ac317dab1e6279b33112d2484563d65c33e972d52ab82b083cd8a8aae7ce0
diff --git a/dev-python/rapidfuzz/rapidfuzz-2.11.0.ebuild b/dev-python/rapidfuzz/rapidfuzz-2.11.0.ebuild
new file mode 100644
index 000000000000..1f0d5f4b067d
--- /dev/null
+++ b/dev-python/rapidfuzz/rapidfuzz-2.11.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# custom wrapper over setuptools
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Rapid fuzzy string matching in Python using various string metrics"
+HOMEPAGE="
+ https://github.com/maxbachmann/RapidFuzz/
+ https://pypi.org/project/rapidfuzz/
+"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# all these are header-only libraries
+DEPEND="
+ >=dev-cpp/taskflow-3.0.0
+ >=dev-cpp/rapidfuzz-cpp-1.8.0
+ dev-python/numpy[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/rapidfuzz_capi[${PYTHON_USEDEP}]
+ >=dev-python/scikit-build-0.13.0[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export RAPIDFUZZ_BUILD_EXTENSION=1
diff --git a/dev-python/sentry-sdk/Manifest b/dev-python/sentry-sdk/Manifest
index 33430179e84d..9af9f5ee686d 100644
--- a/dev-python/sentry-sdk/Manifest
+++ b/dev-python/sentry-sdk/Manifest
@@ -1,3 +1,4 @@
+DIST sentry-sdk-1.9.10.gh.tar.gz 282661 BLAKE2B dbecfafafebb52f288ff977dc39b7268c0cd7fc78a643139b9baf9345eb216842bad426e860914dad325096306dc515bf48ddfb26f524c95c718787ecadce3e1 SHA512 293f38335692fe6ec215d470b436d2a8ae49ac8471722c555405e920a41d2d591682c956bb01ad43bb3705566353a878f8fabfe74248716e9cf5a2ea2c172649
DIST sentry-sdk-1.9.7.gh.tar.gz 270209 BLAKE2B d1671bb45efa8aa785dc33a5d27e1d44843000809a88c4b081bbaca31be9ece65c6b192cadd46df912e1e1ca8650c7246f9946adb85117e88d13446965e190ac SHA512 d5c9a32e2c4001892cd03357d3b0cfe4c789eb0f4a12f6431920624795d4ed70a4055351541e12d9ee0be6e0fa689190e53c05fac53a27dad30e9f9fbe0711c1
DIST sentry-sdk-1.9.8.gh.tar.gz 271425 BLAKE2B 27135f4fee24d80a544d852261555d8a8498990f815bbe7438b67bbf5717ed4b6e92c8f3e6781929332cbaba75986538294cf4b97c5bbe845ab57a32333d1d6f SHA512 7c9136b4100537e327ccbc2a96967007a1d2de653098ffa3463cc135ca604e49bd066d6a85046c752f38bdfc2698298e46a5d26bbf1a31a19f1631cf92ad9c8d
DIST sentry-sdk-1.9.9.gh.tar.gz 281232 BLAKE2B 8d1017644c2ae73c4e070f7b1b0a6807ab1d7a7655986bb9a4b457f72c98b3df0fd5f3af8722ea91e13911b1ce6d7234542af195a0b80ec5e9e939f5de3998f0 SHA512 613b504c9e0071657241c7724206d3e99f62fdc846cda98fa4830cf29eee24c8d2ae2abb265fab5d87f47d064d8aed60e105c2d2090fb24308e65b7e74e2974b
diff --git a/dev-python/sentry-sdk/sentry-sdk-1.9.10.ebuild b/dev-python/sentry-sdk/sentry-sdk-1.9.10.ebuild
new file mode 100644
index 000000000000..aa4b4106f18f
--- /dev/null
+++ b/dev-python/sentry-sdk/sentry-sdk-1.9.10.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python client for Sentry"
+HOMEPAGE="
+ https://sentry.io/
+ https://github.com/getsentry/sentry-python/
+ https://pypi.org/project/sentry-sdk/
+"
+SRC_URI="
+ https://github.com/getsentry/sentry-python/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/sentry-python-${PV}"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/asttokens[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/executing[${PYTHON_USEDEP}]
+ dev-python/fakeredis[${PYTHON_USEDEP}]
+ dev-python/flask-login[${PYTHON_USEDEP}]
+ dev-python/gevent[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pyrsistent[${PYTHON_USEDEP}]
+ dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
+ dev-python/pytest-django[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/zope-event[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/eventlet[${PYTHON_USEDEP}]
+ ' python3_{8..9})
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # tests require Internet access
+ tests/integrations/httpx/test_httpx.py
+ tests/integrations/requests/test_requests.py
+ tests/integrations/stdlib/test_httplib.py
+ tests/integrations/flask/test_flask.py
+ tests/integrations/django/test_basic.py
+ # wtf is it supposed to do?!
+ tests/integrations/gcp/test_gcp.py
+ # broken by rq-1.10.1 (optional dep)
+ tests/integrations/rq/test_rq.py
+ # fastapi is not packaged
+ tests/integrations/asgi/test_fastapi.py
+ # TODO
+ tests/integrations/bottle
+ # requires python-multipart (TODO: package it)
+ tests/integrations/starlette
+)
+
+EPYTEST_DESELECT=(
+ # hangs
+ 'tests/test_transport.py::test_transport_works'
+ # TODO
+ 'tests/test_basics.py::test_auto_enabling_integrations_catches_import_error'
+ tests/test_client.py::test_databag_depth_stripping
+ tests/test_client.py::test_databag_string_stripping
+ tests/test_client.py::test_databag_breadth_stripping
+ tests/integrations/asgi/test_asgi.py::test_auto_session_tracking_with_aggregates
+ tests/integrations/asgi/test_asgi.py::test_websocket
+ tests/integrations/aiohttp/test_aiohttp.py::test_transaction_style
+ tests/integrations/aiohttp/test_aiohttp.py::test_traces_sampler_gets_request_object_in_sampling_context
+ # incompatible version?
+ tests/integrations/falcon/test_falcon.py
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_too_large_event_truncated
+ # test_circular_references: apparently fragile
+ 'tests/integrations/threading/test_threading.py::test_circular_references'
+ # test for new feature, fails with IndexError
+ tests/integrations/wsgi/test_wsgi.py::test_session_mode_defaults_to_request_mode_in_wsgi_handler
+ # TODO
+ tests/integrations/wsgi/test_wsgi.py::test_auto_session_tracking_with_aggregates
+ tests/integrations/wsgi/test_wsgi.py::test_profile_sent_when_profiling_enabled
+)
diff --git a/dev-python/sphinxnotes-strike/sphinxnotes-strike-1.2.ebuild b/dev-python/sphinxnotes-strike/sphinxnotes-strike-1.2-r1.ebuild
index 3f0081c4f86e..d02ce150378c 100644
--- a/dev-python/sphinxnotes-strike/sphinxnotes-strike-1.2.ebuild
+++ b/dev-python/sphinxnotes-strike/sphinxnotes-strike-1.2-r1.ebuild
@@ -16,6 +16,10 @@ SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
IUSE="examples"
+DEPEND="
+ dev-python/sphinx
+"
+
distutils_enable_sphinx docs
distutils_enable_tests setup.py
diff --git a/dev-python/stripe/Manifest b/dev-python/stripe/Manifest
index aa5a147c4baf..fb1bccd6cf25 100644
--- a/dev-python/stripe/Manifest
+++ b/dev-python/stripe/Manifest
@@ -1 +1,2 @@
DIST stripe-4.1.0.tar.gz 266799 BLAKE2B ce801bd6d4536163d7fc56b46b23a76d0ed2c392be65b8891750d0c413e3d8195004b09603fc3f360ea97e32e6472f887aa41ca502cf8a0460b9bac3ece610b3 SHA512 6a243526d56bc83caced776850bc3d2582c19f28779684bbf7b0a81f477d8c02c21151052b05b31160f2f81a83f5d7260bd82c171681a059b12012e794c6e5cf
+DIST stripe-4.2.0.tar.gz 267578 BLAKE2B 1cd08aa37a3735928e65fb401d8817694cbfceff05722aa96ae4880da6ccb6e3139dcf55804efe26a4e1c1814a6734eed1b5754c06efaf2003d9c28efbdb8731 SHA512 8a2660878838b0a2602afb6716db0dd91c2896b9f27224c2b04c800f32705e876d2915b0c5f4f1bdcf8d3d508ca050660e2e923f999bd0a10f9fdabd3acaa750
diff --git a/dev-python/stripe/stripe-4.2.0.ebuild b/dev-python/stripe/stripe-4.2.0.ebuild
new file mode 100644
index 000000000000..5dd93705bd06
--- /dev/null
+++ b/dev-python/stripe/stripe-4.2.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Stripe python bindings"
+HOMEPAGE="
+ https://github.com/stripe/stripe-python/
+ https://pypi.org/project/stripe/
+"
+SRC_URI="mirror://pypi/s/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/requests-2.20[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-util/stripe-mock-0.141.0
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ net-misc/curl
+ )
+"
+
+distutils_enable_tests pytest
+
+DOCS=( LONG_DESCRIPTION.rst CHANGELOG.md README.md )
+
+python_test() {
+ epytest tests
+}
+
+src_test() {
+ local stripe_mock_port=12111
+ local stripe_mock_max_port=12121
+ local stripe_mock_logfile="${T}/stripe_mock_${EPYTHON}.log"
+ # Try to start stripe-mock until we find a free port
+ while [[ "${stripe_mock_port}" -le "${stripe_mock_max_port}" ]]; do
+ ebegin "Trying to start stripe-mock on port ${stripe_mock_port}"
+ stripe-mock --http-port ${stripe_mock_port} &> "${stripe_mock_logfile}" &
+ local stripe_mock_pid=$!
+ sleep 2
+ # Did stripe-mock start?
+ curl --fail -u "sk_test_123:" \
+ http://127.0.0.1:${stripe_mock_port}/v1/customers &> /dev/null
+ eend $? "Port ${stripe_mock_port} unavailable"
+ if [[ $? -eq 0 ]]; then
+ einfo "stripe-mock running on port ${stripe_mock_port}"
+ break
+ fi
+ (( stripe_mock_port++ ))
+ done
+ if [[ "${stripe_mock_port}" -gt "${stripe_mock_max_port}" ]]; then
+ eerror "Unable to start stripe-mock for tests"
+ die "Please see the logfile located at: ${stripe_mock_logfile}"
+ fi
+
+ local -x STRIPE_MOCK_PORT=${stripe_mock_port}
+ distutils-r1_src_test
+
+ # Tear down stripe-mock
+ kill "${stripe_mock_pid}" || die "Unable to stop stripe-mock"
+}
diff --git a/dev-python/trimesh/Manifest b/dev-python/trimesh/Manifest
index 7a9a59718794..6a87f7eef3e1 100644
--- a/dev-python/trimesh/Manifest
+++ b/dev-python/trimesh/Manifest
@@ -1,2 +1,3 @@
DIST trimesh-3.14.1.gh.tar.gz 11961899 BLAKE2B eab37c94da03cfdefa2f4bff78a1a1cdd2a4c5d3d5da7ef5f462de331c7c2dbaaabbc53a0033ca95a3b4d9d61e072af2f2b689d291e32a89531ca2b5e9d8f8e2 SHA512 e8c43275552d2ddf2e6c1d7582c67f34d7bdaddd5df2cfac9a3758eac12a7fc8bc41748465317eb4e983d7d2d9d51209ab85bfa781022227c0be57618991e9b4
DIST trimesh-3.15.2.gh.tar.gz 11956076 BLAKE2B 4ec701056efd29eb24eaf4edc82d07af4b8e02713697f658ea86eaef6f94916d51c3b21873b3da720705f281054ab5564f4331dc3ee9614d37774bdc03dd1c77 SHA512 9ae3917f2485f5eba089fd04029187be356bbb032d8afa57801a5c19a897550a34bd6734848a47c937b42745fd4563a5a05352928f5e31a7146a3b002d6c765d
+DIST trimesh-3.15.3.gh.tar.gz 11955970 BLAKE2B 050a1330ff0d3d308f3f54bee9080907b839e8cfcc9bdc831d3c5033225a9868aefe2ceb39313949288c779a1af577911a7e43fe2745f50c4983c178dcf02742 SHA512 e01192496af519be7f4d04b6268f82227a0d00c2feebf294572cdd6cce151d10d271cb8b8558c48200338d2f6ea4137fe75d92d115ea8b42f0117ad135566d05
diff --git a/dev-python/trimesh/trimesh-3.15.3.ebuild b/dev-python/trimesh/trimesh-3.15.3.ebuild
new file mode 100644
index 000000000000..8a53861b3711
--- /dev/null
+++ b/dev-python/trimesh/trimesh-3.15.3.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing optfeature
+
+DESCRIPTION="Python library for loading and using triangular meshes"
+HOMEPAGE="
+ https://trimsh.org/
+ https://github.com/mikedh/trimesh/
+ https://pypi.org/project/trimesh/
+"
+SRC_URI="
+ https://github.com/mikedh/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/chardet[${PYTHON_USEDEP}]
+ dev-python/colorlog[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/msgpack[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pycollada[${PYTHON_USEDEP}]
+ dev-python/pyglet[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/shapely-1.8.2[${PYTHON_USEDEP}]
+ dev-python/svg-path[${PYTHON_USEDEP}]
+ dev-python/sympy[${PYTHON_USEDEP}]
+ dev-python/xxhash[${PYTHON_USEDEP}]
+ sci-libs/rtree[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest -n "$(makeopts_jobs)"
+}
+
+pkg_postinst() {
+ optfeature_header "${PN} functionality can be extended by installing the following packages:"
+ optfeature "making GUI applications with 3D stuff" dev-python/glooey
+ optfeature "2D triangulations of polygons" dev-python/mapbox_earcut
+ optfeature "loading a number of additional mesh formats" dev-python/meshio
+ optfeature "figuring out how much memory we have" dev-python/psutil
+ optfeature "marching cubes and other nice stuff" sci-libs/scikit-image
+}